# Tinkr Launcher Example Plugin

This example plugin demonstrates how to inject additional functionality into the launch process, enabling you to fetch extra resources, addons, scripts, and more before the game starts.

## Building

To build the plugin, run the following commands:

```bash
npm install
npm run build
```

This will generate a `dist` folder containing the compiled plugin.

## Installation

To install the plugin, move the plugin folder from the `dist` directory to the `plugins` folder within the Tinkr Launcher settings directory, located at `~/Library/Application Support/Tinkr Launcher/plugins`. You may need to create this folder if it doesn't already exist.

## Distribution

To distribute the plugin, compress the plugin folder from the `dist` directory into a zip file. Others can install the plugin by unzipping this folder into their `plugins` directory. Again, this directory is located at `~/Library/Application Support/Tinkr Launcher/plugins` and may need to be created if it doesn't already exist.

---

# Tinkr 启动器示例插件

这个示例插件展示了如何在启动过程中注入额外的功能，使您能够在游戏开始前获取额外的资源、插件、脚本等。

## 构建

要构建插件，请运行以下命令：

```bash
npm install
npm run build
```

这将生成一个包含编译后插件的`dist`文件夹。

## 安装

要安装插件，请将`dist`目录中的插件文件夹移动到 Tinkr 启动器设置目录中的`plugins`文件夹内，该目录位于`~/Library/Application Support/Tinkr Launcher/plugins`。如果该文件夹不存在，您可能需要创建它。

## 分发

要分发插件，请将`dist`目录中的插件文件夹压缩成一个 zip 文件。其他人可以通过将这个文件夹解压到他们的`plugins`目录中来安装插件。同样，该目录位于`~/Library/Application Support/Tinkr Launcher/plugins`，如果不存在可能需要创建。
